#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H

#include <QtGui>
#include <QSettings>
#include "ui_preferencesdialog.h"

class PreferencesDialog : public QDialog, public Ui::PreferencesDialog {
    Q_OBJECT
public:
    PreferencesDialog(QDialog *parent = 0);
    ~PreferencesDialog();

public slots:
    void applybtn_clicked();
    void defaultsbtn_clicked();
    void scriptChanged();
    void src2pkgError();

protected:

private:
    Ui::PreferencesDialog *m_ui;
};

#endif // PREFERENCESDIALOG_H
